Bug 1409876 - [Intel OSP13] Libvirt Plugin Extension
Summary: [Intel OSP13] Libvirt Plugin Extension
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: Upstream M1
: 14.0 (Rocky)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: intel-collectd 1476900 1501923
TreeView+ depends on / blocked
 
Reported: 2017-01-03 17:01 UTC by damien Power
Modified: 2019-01-11 09:51 UTC (History)
15 users (show)

Fixed In Version: collectd-5.8.0-11.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409814
Environment:
Last Closed: 2019-01-11 09:51:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
libvirt stats added to collectd plugin (234.70 KB, application/pdf)
2017-01-16 16:20 UTC, damien Power
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:0047 None None None 2019-01-11 09:51:42 UTC

Description damien Power 2017-01-03 17:01:53 UTC
+++ This bug was initially created as a clone of Bug #1409814 +++

1. Feature Overview:
a) Name of feature: Libvirt Plugin Extension 
b) Feature Description: 
libvirt plugin extended to support CMT, MBM, CPU Pinning, Utilization, State metrics on the platform.

2. Feature Details:
a) Architectures:
b) Bugzilla Dependencies:
c) Drivers or hardware dependencies: n/a
d) Upstream acceptance information: Spec and implementation in progress.

e) External links:

f) Severity (H,M,L): M
g) Feature Needed by:

3. Business Justification:
a) Why is this feature needed?
b) What hardware does this enable? n/a
c) Is this hardware on-board in a system (eg, LOM) or an add-on card? No
d) Business impact? n.a
e) Other business drivers:

4. Primary contact at Red Hat, email, phone (chat):

5. Primary contact at Partner, email, phone (chat):
Rob Love
robert.w.love@intel.com

Comment 1 Stephen Gordon 2017-01-03 17:39:30 UTC
> libvirt plugin extended to support CMT, MBM, CPU Pinning, Utilization, State metrics on the platform.

Can you provide more clarity on exactly what you mean here? What specific metrics are you expecting that are not currently exposed in each case?

Comment 2 damien Power 2017-01-16 16:20:18 UTC
Created attachment 1241314 [details]
libvirt stats added to collectd plugin

Comment 3 damien Power 2017-01-16 16:21:27 UTC
attached a pdf of libvirt stats and the added collectd stats

Comment 4 damien Power 2017-03-30 13:34:27 UTC
PR opened to collectd for plugin
https://github.com/collectd/collectd/pull/2168

Comment 5 Robert Love 2017-04-06 16:39:03 UTC
Not yet upstream, RH concerned about capacity for OSP12, so moving to target Queen release.

Comment 6 Matthias Runge 2017-05-19 06:31:40 UTC
This feature is merged upstream in master branch, no release yet. Bumping to queens, until a new version has been cut.

Comment 7 Fabio Massimo Di Nitto 2017-06-06 15:08:39 UTC
Moving to OSP13.

Comment 11 tony.b.mcmahon 2017-12-15 13:14:13 UTC
Collect 5.8 was released November 11 2017

Comment 14 Matthias Runge 2018-01-25 11:58:32 UTC
This is included in collectd-5.8. Any idea, which additional options should be included by default?

Comment 17 damien Power 2018-02-05 15:54:44 UTC
LoadPlugin virt
By default extended virt plugin statistics are disabled.

The defaults are recommended. 

Is there a reason for enabling the extended options.

Comment 21 Matthias Runge 2018-04-16 09:41:26 UTC
How to test:

Make sure that collectd-virt is installed on the system
and make sure, there is a config file containing:

LoadPlugin virt

<Plugin "virt">
   Connection "qemu:///system"
   HostnameFormat "hostname uuid" 
   ExtraStats "disk disk_err domain_state pcpu perf vcpupin cpu_util"
</Plugin>

Start collectd

Launch a vm on the machine running collect

You should see the stats mentioned in https://github.com/collectd/collectd/pull/2168

Comment 30 errata-xmlrpc 2019-01-11 09:51:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0047


Note You need to log in before you can comment on or make changes to this bug.